## milkytracker 0.90.85%2bmaemo5

=== platforms/linux/Makefile ===
# ----------------------------------------------------------------------
# pailes on 10/4/08: Sorry this no longer works
# if you really wanna try building this you need to find another way ;))
# ----------------------------------------------------------------------
# Brute force makefile used to compile MilkyTracker for Linux
# It assumes you have SDL installed in the right paths
# Tested on Ubuntu PowerPC linux and some other x86 Linux distributions
CPP = g++
CPPFLAGS = -g -DMILKYTRACKER -D__LINUX__ -D__FORCEPOWEROFTWOBUFFERSIZE__ -O3
NAME = milkytracker.linux-powerpc
FILES = \
"../../src/compression/PP20.cpp" \
"../../src/compression/ZipExtractor.cpp" \
"../../src/compression/zlib/generic/adler32.cpp" \
"../../src/compression/zlib/generic/compress.cpp" \
"../../src/compression/zlib/generic/crc32.cpp" \
"../../src/compression/zlib/generic/deflate.cpp" \
"../../src/compression/zlib/generic/infback.cpp" \
"../../src/compression/zlib/generic/inffast.cpp" \
"../../src/compression/zlib/generic/inflate.cpp" \
"../../src/compression/zlib/generic/inftrees.cpp" \
"../../src/compression/zlib/generic/trees.cpp" \
"../../src/compression/zlib/generic/uncompr.cpp" \
"../../src/compression/zlib/generic/zutil.cpp" \
"../../src/compression/zziplib/MyIO.cpp" \
"../../src/compression/zziplib/generic/dir.cpp" \
"../../src/compression/zziplib/generic/err.cpp" \
"../../src/compression/zziplib/generic/fetch.cpp" \
"../../src/compression/zziplib/generic/file.cpp" \
"../../src/compression/zziplib/generic/fseeko.cpp" \
"../../src/compression/zziplib/generic/info.cpp" \
"../../src/compression/zziplib/generic/plugin.cpp" \
"../../src/compression/zziplib/generic/stat.cpp" \
"../../src/compression/zziplib/generic/zip.cpp" \
"../../src/tracker/sdl/SDL_Main.cpp" \
"../../src/tracker/sdl/SDL_KeyTranslation.cpp" \
"../../src/ppui/Button.cpp" \
"../../src/ppui/CheckBox.cpp" \
"../../src/ppui/Container.cpp" \
"../../src/ppui/ContextMenu.cpp" \
"../../src/ppui/Control.cpp" \
"../../src/ppui/Dictionary.cpp" \
"../../src/ppui/DictionaryKey.cpp" \
"../../src/ppui/Event.cpp" \
"../../src/ppui/Font.cpp" \
"../../src/ppui/Graphics_16BIT.cpp" \
"../../src/ppui/Graphics_RGB24.cpp" \
"../../src/ppui/Graphics_BGR24_SLOW.cpp" \
"../../src/ppui/Graphics_BGRA32.cpp" \
"../../src/ppui/Graphics_RGBA32.cpp" \
"../../src/ppui/Graphics_24bpp_generic.cpp" \
"../../src/ppui/Graphics_32bpp_generic.cpp" \
"../../src/ppui/KeyboardBindingHandler.cpp" \
"../../src/ppui/ListBox.cpp" \
"../../src/ppui/ListBoxFileBrowser.cpp" \
"../../src/ppui/Menu.cpp" \
"../../src/ppui/MessageBoxContainer.cpp" \
"../../src/ppui/PPUIConfig.cpp" \
"../../src/ppui/RadioGroup.cpp" \
"../../src/ppui/Screen.cpp" \
"../../src/ppui/Scrollbar.cpp" \
"../../src/ppui/Seperator.cpp" \
"../../src/ppui/Slider.cpp" \
"../../src/ppui/StaticText.cpp" \
"../../src/ppui/Tools.cpp" \
"../../src/ppui/TransparentContainer.cpp" \
"../../src/ppui/RespondMessageBox.cpp" \
"../../src/ppui/RespondMessageBoxFileSelector.cpp" \
"../../src/ppui/sdl/DisplayDevice_SDL.cpp" \
"../../src/ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../../src/ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../../src/ppui/osinterface/PPPathFactory.cpp" \
"../../src/ppui/osinterface/sdl/SDL_ModalLoop.cpp" \
"../../src/ppui/osinterface/sdl/PPMessageBox_SDL.cpp" \
"../../src/ppui/osinterface/sdl/PPMutex.cpp" \
"../../src/ppui/osinterface/sdl/PPOpenPanel_SDL.cpp" \
"../../src/ppui/osinterface/sdl/PPQuitSaveAlert_SDL.cpp" \
"../../src/ppui/osinterface/sdl/PPSavePanel_SDL.cpp" \
"../../src/tracker/AnimatedFXControl.cpp" \
"../../src/tracker/ColorPaletteContainer.cpp" \
"../../src/tracker/EditorBase.cpp" \
"../../src/tracker/EnvelopeContainer.cpp" \
"../../src/tracker/EnvelopeEditor.cpp" \
"../../src/tracker/EnvelopeEditorControl.cpp" \
"../../src/tracker/GlobalColorConfig.cpp" \
"../../src/tracker/InputControlListener.cpp" \
"../../src/tracker/LogoBig.cpp" \
"../../src/tracker/LogoSmall.cpp" \
"../../src/tracker/ModuleEditor.cpp" \
"../../src/tracker/ModuleServices.cpp" \
"../../src/tracker/PanningSettingsContainer.cpp" \
"../../src/tracker/PatternEditor.cpp" \
"../../src/tracker/PatternEditorClipBoard.cpp" \
"../../src/tracker/PatternEditorTools.cpp" \
"../../src/tracker/PatternEditorControl.cpp" \
"../../src/tracker/PatternEditorControlEventListener.cpp" \
"../../src/tracker/PatternEditorControlKeyboard.cpp" \
"../../src/tracker/PatternEditorControlTransposeHandler.cpp" \
"../../src/tracker/PatternTools.cpp" \
"../../src/tracker/PeakLevelControl.cpp" \
"../../src/tracker/PianoControl.cpp" \
"../../src/tracker/Piano.cpp" \
"../../src/tracker/PlayerController.cpp" \
"../../src/tracker/PlayerLogic.cpp" \
"../../src/tracker/PlayerMaster.cpp" \
"../../src/tracker/RespondMessageBoxChannelSelector.cpp" \
"../../src/tracker/RespondMessageBoxGroupSelection.cpp" \
"../../src/tracker/RespondMessageBoxQuickChooseInstrument.cpp" \
"../../src/tracker/RespondMessageBoxResample.cpp" \
"../../src/tracker/RespondMessageBoxWithValues.cpp" \
"../../src/tracker/RespondMessageBoxListBox.cpp" \
"../../src/tracker/RespondMessageBoxEQ.cpp" \
"../../src/tracker/SampleEditor.cpp" \
"../../src/tracker/SampleEditorControl.cpp" \
"../../src/tracker/SampleEditorControlToolHandler.cpp" \
"../../src/tracker/SampleEditorResampler.cpp" \
"../../src/tracker/SampleLoadChannelSelectionHandler.cpp" \
"../../src/tracker/SamplePlayer.cpp" \
"../../src/tracker/ScopesControl.cpp" \
"../../src/tracker/SectionAbout.cpp" \
"../../src/tracker/SectionAbstract.cpp" \
"../../src/tracker/SectionAdvancedEdit.cpp" \
"../../src/tracker/SectionDiskMenu.cpp" \
"../../src/tracker/SectionHDRecorder.cpp" \
"../../src/tracker/SectionInstruments.cpp" \
"../../src/tracker/SectionOptimize.cpp" \
"../../src/tracker/SectionQuickOptions.cpp" \
"../../src/tracker/SectionSamples.cpp" \
"../../src/tracker/SectionSettings.cpp" \
"../../src/tracker/SectionTranspose.cpp" \
"../../src/tracker/SectionUpperLeft.cpp" \
"../../src/tracker/SongLengthEstimator.cpp" \
"../../src/tracker/SystemMessage.cpp" \
"../../src/tracker/TabHeaderControl.cpp" \
"../../src/tracker/TabManager.cpp" \
"../../src/tracker/TabTitleProvider.cpp" \
"../../src/tracker/ToolInvokeHelper.cpp" \
"../../src/tracker/TrackerConfig.cpp" \
"../../src/tracker/Tracker.cpp" \
"../../src/tracker/TrackerInit.cpp" \
"../../src/tracker/TrackerKeyboard.cpp" \
"../../src/tracker/TrackerSettings.cpp" \
"../../src/tracker/TrackerSettingsDatabase.cpp" \
"../../src/tracker/TrackerShortCuts.cpp" \
"../../src/tracker/TrackerShutDown.cpp" \
"../../src/tracker/TrackerStartUp.cpp" \
"../../src/tracker/TrackerUpdate.cpp" \
"../../src/tracker/Undo.cpp" \
"../../src/tracker/VRand.cpp" \
"../../src/tracker/FileIdentificator.cpp" \
"../../src/tracker/Decompressor.cpp" \
"../../src/tracker/Equalizer.cpp" \
"../../src/tracker/EQConstants.cpp" \
"../../src/tracker/Zapper.cpp" \
"../../src/fx/Camera.cpp" \
"../../src/fx/Filter.cpp" \
"../../src/fx/Fire.cpp" \
"../../src/fx/fpmath.cpp" \
"../../src/fx/Math3d.cpp" \
"../../src/fx/ParticleBlobs.cpp" \
"../../src/fx/ParticleEmitter.cpp" \
"../../src/fx/ParticleFun.cpp" \
"../../src/fx/ParticleFX.cpp" \
"../../src/fx/ParticleScene.cpp" \
"../../src/fx/Starfield.cpp" \
"../../src/fx/TCBSpline.cpp" \
"../../src/fx/TCBSplineTest.cpp" \
"../../src/fx/Texture.cpp" \
"../../src/fx/TexturedGrid.cpp" \
"../../src/fx/TexturedPlane.cpp" \
"../../src/fx/Twister.cpp" \
"../../src/fx/TwisterFX.cpp" \
"../../src/milkyplay/drivers/sdl/AudioDriver_SDL.cpp" \
"../../src/milkyplay/AudioDriver_NULL.cpp" \
"../../src/milkyplay/AudioDriver_WAVWriter.cpp" \
"../../src/milkyplay/AudioDriverBase.cpp" \
"../../src/milkyplay/AudioDriverManager.cpp" \
"../../src/milkyplay/ChannelMixer.cpp" \
"../../src/milkyplay/ExporterXM.cpp" \
"../../src/milkyplay/LittleEndian.cpp" \
"../../src/milkyplay/Loader669.cpp" \
"../../src/milkyplay/LoaderAMF.cpp" \
"../../src/milkyplay/LoaderAMS.cpp" \
"../../src/milkyplay/LoaderCBA.cpp" \
"../../src/milkyplay/LoaderDBM.cpp" \
"../../src/milkyplay/LoaderDIGI.cpp" \
"../../src/milkyplay/LoaderDSM.cpp" \
"../../src/milkyplay/LoaderDTM.cpp" \
"../../src/milkyplay/LoaderFAR.cpp" \
"../../src/milkyplay/LoaderGDM.cpp" \
"../../src/milkyplay/LoaderIMF.cpp" \
"../../src/milkyplay/LoaderIT.cpp" \
"../../src/milkyplay/LoaderMDL.cpp" \
"../../src/milkyplay/LoaderMOD.cpp" \
"../../src/milkyplay/LoaderMTM.cpp" \
"../../src/milkyplay/LoaderMXM.cpp" \
"../../src/milkyplay/LoaderOKT.cpp" \
"../../src/milkyplay/LoaderPLM.cpp" \
"../../src/milkyplay/LoaderPSM.cpp" \
"../../src/milkyplay/LoaderPTM.cpp" \
"../../src/milkyplay/LoaderS3M.cpp" \
"../../src/milkyplay/LoaderSTM.cpp" \
"../../src/milkyplay/LoaderULT.cpp" \
"../../src/milkyplay/LoaderUNI.cpp" \
"../../src/milkyplay/LoaderXM.cpp" \
"../../src/milkyplay/MasterMixer.cpp" \
"../../src/milkyplay/PlayerBase.cpp" \
"../../src/milkyplay/PlayerGeneric.cpp" \
"../../src/milkyplay/PlayerSTD.cpp" \
"../../src/milkyplay/ResamplerFactory.cpp" \
"../../src/milkyplay/SampleLoaderAbstract.cpp" \
"../../src/milkyplay/SampleLoaderALL.cpp" \
"../../src/milkyplay/SampleLoaderGeneric.cpp" \
"../../src/milkyplay/SampleLoaderIFF.cpp" \
"../../src/milkyplay/SampleLoaderWAV.cpp" \
"../../src/milkyplay/SampleLoaderAIFF.cpp" \
"../../src/milkyplay/XIInstrument.cpp" \
"../../src/milkyplay/XMFile.cpp" \
"../../src/milkyplay/XModule.cpp" 

INCLUDE = -I. \
-I../../src/ppui \
-I../../src/ppui/sdl \
-I../../src/ppui/osinterface \
-I../../src/ppui/osinterface/posix \
-I../../src/ppui/osinterface/sdl \
-I../../src/tracker/sdl \
-I../../src/tracker/carbon \
-I../../src/tracker \
-I../../src/compression \
-I../../src/compression/zlib/generic \
-I../../src/compression/zziplib \
-I../../src/compression/zziplib/generic \
-I../../src/milkyplay \
-I../../src/milkyplay/drivers/sdl \
-I../../src/fx \
-I/usr/X11R6/include \
-I/usr/local/include/SDL

main:
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES) -D_REENTRANT -o $(NAME) -L/usr/local/lib/ -Wl,-rpath,/usr/local/lib -lSDL -lpthread

## milkytracker 0.90.80maemo2

=== debian/changelog ===
milkytracker (0.90.80maemo2) unstable; urgency=low

  * Removed alsa dependency
  * Stopped BACKUP files from being created

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 26 Dec 2008 10:18:51 +0000

milkytracker (0.90.80maemo1) unstable; urgency=low

  * Section now user/multimedia
  * libjack dependency removed
  * Maemo-Display-Name & Maemo-Icon-26 added
  * Homepage put into description
  * Correctly sized icons for Maemo added
  * Desktop file fixed
  * postinst added
  * [VFP] CFLAGS added
  * Desktop file installed to ../applications/hildon
  * Use putenv rather than SDL_putenv
  * Fullscreen by default
  * 800x480 default resolution
  * F6 bound to fullscreen

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 25 Dec 2008 16:41:13 +0000

milkytracker (0.90.80+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #467430)
  * Repackaged without platforms.
  * Added desktop file.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 26 Feb 2008 09:29:43 +0100

=== debian/control ===
Source: milkytracker
Section: user/multimedia
Priority: optional
XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
XSBC-Original-Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libsdl1.2-dev, libx11-dev, libsdl1.2-dev, html2text, x11proto-core-dev
Standards-Version: 3.7.3
XB-Maemo-Display-Name: MilkyTracker
XBS-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAKO2lDQ1BpY20AAHjanVN3WJP3Fj7f
 92UPVkLY8LGXbIEAIiOsCMgQWaIQkgBhhBASQMWFiApWFBURnEhVxILVCkidiOKgKLhnQYqIWotV
 XDjuH9yntX167+3t+9f7vOec5/zOec8PgBESJpHmomoAOVKFPDrYH49PSMTJvYACFUjgBCAQ5svC
 ZwXFAADwA3l4fnSwP/wBr28AAgBw1S4kEsfh/4O6UCZXACCRAOAiEucLAZBSAMguVMgUAMgYALBT
 s2QKAJQAAGx5fEIiAKoNAOz0ST4FANipk9wXANiiHKkIAI0BAJkoRyQCQLsAYFWBUiwCwMIAoKxA
 Ii4EwK4BgFm2MkcCgL0FAHaOWJAPQGAAgJlCLMwAIDgCAEMeE80DIEwDoDDSv+CpX3CFuEgBAMDL
 lc2XS9IzFLiV0Bp38vDg4iHiwmyxQmEXKRBmCeQinJebIxNI5wNMzgwAABr50cH+OD+Q5+bk4eZm
 52zv9MWi/mvwbyI+IfHf/ryMAgQAEE7P79pf5eXWA3DHAbB1v2upWwDaVgBo3/ldM9sJoFoK0Hr5
 i3k4/EAenqFQyDwdHAoLC+0lYqG9MOOLPv8z4W/gi372/EAe/tt68ABxmkCZrcCjg/1xYW52rlKO
 58sEQjFu9+cj/seFf/2OKdHiNLFcLBWK8ViJuFAiTcd5uVKRRCHJleIS6X8y8R+W/QmTdw0ArIZP
 wE62B7XLbMB+7gECiw5Y0nYAQH7zLYwaC5EAEGc0Mnn3AACTv/mPQCsBAM2XpOMAALzoGFyolBdM
 xggAAESggSqwQQcMwRSswA6cwR28wBcCYQZEQAwkwDwQQgbkgBwKoRiWQRlUwDrYBLWwAxqgEZrh
 ELTBMTgN5+ASXIHrcBcGYBiewhi8hgkEQcgIE2EhOogRYo7YIs4IF5mOBCJhSDSSgKQg6YgUUSLF
 yHKkAqlCapFdSCPyLXIUOY1cQPqQ28ggMor8irxHMZSBslED1AJ1QLmoHxqKxqBz0XQ0D12AlqJr
 0Rq0Hj2AtqKn0UvodXQAfYqOY4DRMQ5mjNlhXIyHRWCJWBomxxZj5Vg1Vo81Yx1YN3YVG8CeYe8I
 JAKLgBPsCF6EEMJsgpCQR1hMWEOoJewjtBK6CFcJg4Qxwicik6hPtCV6EvnEeGI6sZBYRqwm7iEe
 IZ4lXicOE1+TSCQOyZLkTgohJZAySQtJa0jbSC2kU6Q+0hBpnEwm65Btyd7kCLKArCCXkbeQD5BP
 kvvJw+S3FDrFiOJMCaIkUqSUEko1ZT/lBKWfMkKZoKpRzame1AiqiDqfWkltoHZQL1OHqRM0dZol
 zZsWQ8ukLaPV0JppZ2n3aC/pdLoJ3YMeRZfQl9Jr6Afp5+mD9HcMDYYNg8dIYigZaxl7GacYtxkv
 mUymBdOXmchUMNcyG5lnmA+Yb1VYKvYqfBWRyhKVOpVWlX6V56pUVXNVP9V5qgtUq1UPq15WfaZG
 VbNQ46kJ1Bar1akdVbupNq7OUndSj1DPUV+jvl/9gvpjDbKGhUaghkijVGO3xhmNIRbGMmXxWELW
 clYD6yxrmE1iW7L57Ex2Bfsbdi97TFNDc6pmrGaRZp3mcc0BDsax4PA52ZxKziHODc57LQMtPy2x
 1mqtZq1+rTfaetq+2mLtcu0W7eva73VwnUCdLJ31Om0693UJuja6UbqFutt1z+o+02PreekJ9cr1
 Dund0Uf1bfSj9Rfq79bv0R83MDQINpAZbDE4Y/DMkGPoa5hpuNHwhOGoEctoupHEaKPRSaMnuCbu
 h2fjNXgXPmasbxxirDTeZdxrPGFiaTLbpMSkxeS+Kc2Ua5pmutG003TMzMgs3KzYrMnsjjnVnGue
 Yb7ZvNv8jYWlRZzFSos2i8eW2pZ8ywWWTZb3rJhWPlZ5VvVW16xJ1lzrLOtt1ldsUBtXmwybOpvL
 tqitm63Edptt3xTiFI8p0in1U27aMez87ArsmuwG7Tn2YfYl9m32zx3MHBId1jt0O3xydHXMdmxw
 vOuk4TTDqcSpw+lXZxtnoXOd8zUXpkuQyxKXdpcXU22niqdun3rLleUa7rrStdP1o5u7m9yt2W3U
 3cw9xX2r+00umxvJXcM970H08PdY4nHM452nm6fC85DnL152Xlle+70eT7OcJp7WMG3I28Rb4L3L
 e2A6Pj1l+s7pAz7GPgKfep+Hvqa+It89viN+1n6Zfgf8nvs7+sv9j/i/4XnyFvFOBWABwQHlAb2B
 GoGzA2sDHwSZBKUHNQWNBbsGLww+FUIMCQ1ZH3KTb8AX8hv5YzPcZyya0RXKCJ0VWhv6MMwmTB7W
 EY6GzwjfEH5vpvlM6cy2CIjgR2yIuB9pGZkX+X0UKSoyqi7qUbRTdHF09yzWrORZ+2e9jvGPqYy5
 O9tqtnJ2Z6xqbFJsY+ybuIC4qriBeIf4RfGXEnQTJAntieTE2MQ9ieNzAudsmjOc5JpUlnRjruXc
 orkX5unOy553PFk1WZB8OIWYEpeyP+WDIEJQLxhP5aduTR0T8oSbhU9FvqKNolGxt7hKPJLmnVaV
 9jjdO31D+miGT0Z1xjMJT1IreZEZkrkj801WRNberM/ZcdktOZSclJyjUg1plrQr1zC3KLdPZisr
 kw3keeZtyhuTh8r35CP5c/PbFWyFTNGjtFKuUA4WTC+oK3hbGFt4uEi9SFrUM99m/ur5IwuCFny9
 kLBQuLCz2Lh4WfHgIr9FuxYji1MXdy4xXVK6ZHhp8NJ9y2jLspb9UOJYUlXyannc8o5Sg9KlpUMr
 glc0lamUycturvRauWMVYZVkVe9ql9VbVn8qF5VfrHCsqK74sEa45uJXTl/VfPV5bdra3kq3yu3r
 SOuk626s91m/r0q9akHV0IbwDa0b8Y3lG19tSt50oXpq9Y7NtM3KzQM1YTXtW8y2rNvyoTaj9nqd
 f13LVv2tq7e+2Sba1r/dd3vzDoMdFTve75TsvLUreFdrvUV99W7S7oLdjxpiG7q/5n7duEd3T8We
 j3ulewf2Re/ranRvbNyvv7+yCW1SNo0eSDpw5ZuAb9qb7Zp3tXBaKg7CQeXBJ9+mfHvjUOihzsPc
 w83fmX+39QjrSHkr0jq/dawto22gPaG97+iMo50dXh1Hvrf/fu8x42N1xzWPV56gnSg98fnkgpPj
 p2Snnp1OPz3Umdx590z8mWtdUV29Z0PPnj8XdO5Mt1/3yfPe549d8Lxw9CL3Ytslt0utPa49R35w
 /eFIr1tv62X3y+1XPK509E3rO9Hv03/6asDVc9f41y5dn3m978bsG7duJt0cuCW69fh29u0Xdwru
 TNxdeo94r/y+2v3qB/oP6n+0/rFlwG3g+GDAYM/DWQ/vDgmHnv6U/9OH4dJHzEfVI0YjjY+dHx8b
 DRq98mTOk+GnsqcTz8p+Vv9563Or59/94vtLz1j82PAL+YvPv655qfNy76uprzrHI8cfvM55PfGm
 /K3O233vuO+638e9H5ko/ED+UPPR+mPHp9BP9z7nfP78L/eE8/sk1fsOAAAABmJLR0T///////8J
 WPfcAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAaAAAAGgAHsmYvAAANnUlEQVRYw72X
 eVQV1L7HP+ccDnAAGWR2wAkQNQZBE01Fw6Esc8opnHIo0/Kq5ZBPM4fMwvKqSDZYmbMipOAsKYoK
 CsqgggwmIAhHwMN4BuD83h/de+u9l73q3d73r73W3nvtz3d99/6utVX8QfUvHaWbcxm8+wWkhX7s
 HT1t09Q500Z9EBBm80xU3466Vdnf5uuLYh/WBpUER/e5Zb77ILdoZ0H+Hz3lz0v5RzcEXep1oY83
 OLq4aNzFt8jLwXdwgO30QO+ZwUPCzh7x+uDextBPx2y9GOb/XN1I2xBXl5wubk99oLr6TN8R2gkT
 /3pDit+70O3R00WTkkHreq3DlXDrj6OjjoQebNozeqJhyKTeo8f5PBqqa9twCgp8H3hVGEGXVHNB
 V6O90FipH2XqGru6+AVtXt2or/rteeaI5N/NGO/b2bfZtbEl5ExC9LjJV/+fDfmFwLKvd+74IgWK
 RpRaPFo+fNS7syJyBhljHvYI8JLW2+xSzcnmAICmuy3npRzKblX31PvA/a7l5bpLoHOrdzIatBn1
 Xoam5j6xb5QcqfNTxn4VtrskwavsXMbYrmO9H9kNaOmTcHfVC8ERf2GEPqbZ3yZEAAR22dHDetuu
 Nudqi07E3Dna9cLUW7NFDmWeu5FVL1L3VUN4S5SI4VXDBHkkYoo25oqINJxs3C1viNy7U2Y0RIok
 ud4eWzNO5Pv69CM6K63TvudTl9aM36pfPuFI/MMkt2nrqhPqtFv/PK/qtybn58A7D973newE3a+F
 hHlXhRuetwxa7fLFioPnB6XF3/re8rUrJVkV916H5kVMt2wE+xS7r6wHg2Iz/uwHTV+rPIuVYH/B
 ZrhFP/CscDRa6cDxnk1v9ULbZfW9TJ7k9w44+94dW924/JFz+o6NaBt+49Tx9sVz+9dBbXlW0u5/
 x5XsMXjGmhgngJ6qz5Ktow9evmpbfTMmu252w7vynkj5O1XnTDNEMn3z+1XuEzmYelaTOVEkdsS5
 +IzNIrueOmq4WiiSvCbDs2i+iKGLYaskixjfMtqKiDR9bnIXEdk5/OLrVWtE+m+IfPzjsHuR0/0+
 ++DOyN7pM2fGnDBshS6x/awm/YEyeWLLveozMtR/Dsw/NuOK3/Ww6IBhbQZaXh4+1nKgxW7WgOMS
 2wL1N+A3wKvEuRe8ZDsgKGAh+B7v1LP962DOUWjVWjjYJnH6jSiIXZQUklkAFTbVE+uHQtmC6mBD
 MMSNTQvU7ge3VNeHdmGd3glU+BxyTY5O9R5aU5F8rMehtRVrLq45+n9IxudsuGeEH4Aqz/tF66gD
 88+eyiyKya5rbFht3i5iCDR4iojoG/SNIiIGC72IiBiaDbdEREwxJl8RkbodDW1aLoukH86rqm4l
 siR0e6fTX4hEDd+Xlugn8rnlqTH55SK9fNdH5m8TmTB7d1WlUmRt+LHRpfNEvss9HZF99UTPZfUb
 ukd5e+g/2fX103G/u5N/oe2H9/dOnAlLX17/dXTScN985/uZlSvrPIxfG8eKiOjr9PUiIoa2BkcR
 kYayxt0ySSR5QNag0kaR/LVFLVVmkebzTRdFREzHTGopEyk7+Wi2vq9IZmReVPk+kTG5m66kLRB5
 6c4ut1orkbd7nl1mshTZNPbcvep1IvtSfjDeDRD5+u09sXEHD5wLnhfqO+hV++LhjiM3TIh/Mv//
 KIUTh4+UfXdTqQga2F89ompVXoirP92zeq9yirA/bTMTlPHKHQolKHwUbgAV2VXbaizhyOzz+Tc6
 QF26fo7pDJQ2a0N0/qD0VEarSsFjVuujdqGQWJpZWOIK11dWxzu8Dl7FXi5OqdBhvU2L+W/wdFOH
 xZrBEHqlc4DTi1B7pvbD2sRuF1PssjvfKzDGnE+P3753XVLBP3D1v2HIxsPlNYCm+sZ0iyEPD7U7
 Oy5t1vCbSdr5KoOPY5OLqXdjM7h4tOpoeQBaZWvyrd4ETYXVdMtl4KvtsNVzNNTOrD+tfxYutaR/
 cns0lM4uD6kMApvHth/ZfgiHczJ3GXzBqszjRjs/6Ha/9VtKNwhf2GGKKgXcu1qmNiTAiaupOXmJ
 EGUX7521RhmUvfhBWV1zg9n4VdH9q6cPl4HNUy6fmAugSdt45tdK4Y7rjz42P080T7Ja7LQWivKa
 /ubWBY6/U3rN6TJsn5Ya+PgYHI+80b14L1Rp6g4bdOD5unO53TwY+tnTp/yc4e2QaVNG/geEjgp6
 yy8RslVlj5q6Q02EtZ+7NQR6tumlLoABuW4djPZw37lkdekeWDXoWEvxTnhfcbJPpRrSH95z1zmD
 yUpxxTII0Hm+4LMfuON63afkN1rOWtXWq/cwsGrj80p4HCh7W/a3WwAKvbxmzgbFQNUb6hLQv2If
 12455PeqX+F4Hk7Z5HxWkwOXe+ZuqtoG1ZvruzR1BqeqVuusb0PXK50K22kha2X1Ic0yCGxsn6Fp
 Ax21Ci/dFvjh9v15De0hbteDBY5uUJip7+F6EJpOmWer9oJSFC4KL1BNtjxhPwrsX/TfOC3tZ97/
 Lot/XbiUduGhhWAx1X22fx6ozlg/7xADTR7GXvVfQHbcmXEJG8G0NMSi73poH+Wv6uEBmksOOK8A
 XZZcMq2EXCftRdNgcO2pvymjIT+isn3LOGj1vW2CZRp0iLGZ0FwB2jjTR5qbUDvQcrp1NzA9bInU
 rYGaC9mDjvcDw/GHxorZwAFlvWYvKJ2saBUETg09lOPmQF3KvfALHcEAB7b+WkKuj/32hUyATsWD
 csd8B+oumlq7HSBTxE2GQ3lpfu7Ne3Ct+/G5h96B4y+fXpwYBjcD73gXjQauKQqU68F1q+OHmgVg
 460ZZxkHVnlWDkqBPlGdR1u/D9Y3Nausb4ApyxRvWgN56amdE/3h6g/fHlhVCTqLshkF80Ddp/Vr
 HboC1SSzFdRBNs6tToOPzXOVngk/8z4xIQd7xwb7w+C+19PRWQfVhsqcqoEge0xd8AYWYKvYBx4p
 baLaDANro02gwwa4tO1G64LVUD6jfq/4wd80z03r9Aq4RNt9rqqEdscd51rYQ+VU/avmtyGnY6Gh
 JAMSShO+OVEFGetTTKc+AY43hZl14GP1yvIt9lCiKptZUQTG7Mf1FflgYW/RYDEL2p5q158ZUPva
 T7xPfEMPHhTMyu8Kt+5efS9lP5hC9d31bQElSlSAlodSDopY5X3lXbAKtupsVQc9a31ntQmHB+mP
 U1qaIelwXnh9BEgiLwKoFyq2KJxBtsgSPgX1ZPUtSwsIXRFWOEwBbi2eKzpMAJmmmKzsAQyinniQ
 C9LGvBgwo8IajBp9VeM9uBF+IfSXvE9MqDb6bub5IKg9plty/zE4fBC6eboLqLV2Q1vNB34QZzkA
 PCSBH0D2Uyd7QFGtCFe8CcYXmtNlF6S9WHxMHw6TjvTu7hQP6pdUwSwBJoiTbAAPk7vBPROUJpsT
 zRNB8ayyj2I1YGAIGQDUSzUACgqAFkw0QvOCxhG6GihTnQnYtxCMXlXDC1b+RkKNk4u/T3aH+rSs
 pl0RYF5rPFxTBsoWlb/aDDZRTqs90kDhpKxXjgcWykZWAXvJoBCYSV8cQNGZq4oQYBRhqEDdxaIr
 YcAkRT8cQDRiJzZgPmreJZ8CdXKJeEAhP8pSAG5x6R9sKkBoQg/mL42JNRXwuCrdL2rIz7xPNGTe
 XFacFQHQ9Kb5OoiV4VLdeFAvtrpoawe93h015s0a6FrUf9Pz74FVnmWTugcoQ5UGRSxIGr5sA3K5
 TSMoxtADZ1D/XWWhcAOG4I8jIPz0rawnWeJBsU+1VNUXbJtdCtt6gDJL1VO9CDjBcU4AdQxkC8gb
 prcbVoDZs9BwdeQveZ9gCBo+rAj757h5bcueqgH5mxM/VUY3uJfrytpZf9nKZD+Ie659On3u4wU9
 b/gP7XoTfI2dF7cNBydX24nqSFAOUC4gCiSSE5RCc05LFv5AJj9SDzymnBJQ2CoslR4Q/PKIpKl3
 oc/caW3fewMslFbXNAdB5aEYLFO4ZjFH+a75SmkQYxrWaE8mBv7E1yL/lfdXDXGB2eCgcZ/cZY/0
 e9TxZNqalZuvNSqzZ8QsG3q/Kr9Qk7J5U1ZjZcWikowHZzVlViYLGwpdrjhesesHU6MGzPe8DyPH
 B7jbPwcKe1ZjD6bSll6yBNgvqRhAyimRQlC2Vq1WuYFXTre5wf3AVuEQ7ORHqsVdY1yltuS65oLe
 UPxdZH/157qivC1D9+oTMsbtc93qa9XW9apPqJz+J+8fllNN98D+2n/579/Pc9b6j452b567dntK
 cm1k3ObcM/PLFCWH4ydk325YLmm3TpYZmjNFyj6uiRARuTP4oU/zJJEzuryzhgCR/ftvjjCMFdk6
 JKmioY2cXNQqNvxh2+Jzo9pvSrwc/bE6aNFU7UZlt9ugbAfKVq0HPuU60O1PgP9eeY4IPj2z/0/j
 bvbK0FF9VwbFpHTfv+H7GHPugo93nO17a0/tuuLWRXZVZvMpmZ3xqLRH07Mip1+4+5J+sYz48ptL
 06vPFnVa2mt3Ra73xtoR3Zd3Oryq2zqA9o+U1h7VwWOn/JUG/jd5bR/W4e/PAtidnBOrXDvv1s5n
 crsEXTo0+Pr4Gs03h2MiM5Y2rq6s2XHj4pCquJ1Js6bsKLyzJXApOLWakaoc0f6b51Z/6vvv4/lP
 YSByPeT6ggcAAAAASUVORK5CYII=

Package: milkytracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: freepats, opencubicplayer, xmp, schism, goattracker
Description: Music creation tool inspired by Fast Tracker 2
 This is an editor for "tracked" music, i.e. audio samples of instruments
 pitch shifted according to the note data.
 .
 It can load the following module formats: 669, AMS, AMF, DBM, CBA, DIGI,
 DSM, FAR, GMC, GDM, IMF, IT, MOD, MDL, MTM, MXM, OKT, PLM, PSM, PTM, S3M,
 STM, ULT, UNI, and X.
 .
 Export is possible into the formats: XM, MOD, and WAV.
 .
 Supported sample and instrument formats: WAV, IFF/XI, PAT
 .
 Homepage: http://www.milkytracker.net/

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -DHAVE_DECL_SDL_PUTENV

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer -ffast-math
endif

CPPFLAGS = $(CFLAGS)

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-alsa --without-jack CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="-Wl,-z,defs,-O2"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	$(MAKE) -C debian/milkyplay
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -C debian/milkyplay clean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C debian/milkyplay DESTDIR=$(CURDIR)/debian/milkytracker install
	$(MAKE) DESTDIR=$(CURDIR)/debian/milkytracker install
	dh_install debian/icons/hicolor/26x26/hildon/milkytracker.png usr/share/icons/hicolor/26x26/hildon
	dh_install debian/icons/hicolor/40x40/hildon/milkytracker.png usr/share/icons/hicolor/40x40/hildon
	dh_install debian/icons/hicolor/scalable/hildon/milkytracker.png usr/share/icons/hicolor/scalable/hildon

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/ChangeLog.html
	dh_installdocs
#	dh_installmenu
	dh_install debian/*.desktop usr/share/applications/hildon
#	dh_desktop
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## milkytracker 0.90.85%2bmaemo5

=== debian/changelog ===
milkytracker (0.90.85+maemo5) unstable; urgency=low

  * Updated sources to 0.90.85.
  * Modified for Maemo Freemantle.
  * Disabled the sdl mouse cursor.
  * Changed defaults to LOWRES, fullscreen and scaleFactor = 2.

 -- Roger Feese <rfeese@gmail.com>  Sun,  3 Apr 2011 11:51:56 -0500

milkytracker (0.90.80+dfsg-2) unstable; urgency=low

  * Apply patch to fix libjack loading bug. (Closes: #498900)
    Thanks <khades.ru@gmail.com> for pointing me to it.
  * Bump standards version.
  * Bump debhelper version.
  * Update debian/copyright formatting.
  * debian/rules: drop dh_desktop call.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 13 Oct 2009 07:27:39 +0200

=== debian/control ===
Source: milkytracker
Section: user/multimedia
Priority: optional
Maintainer: Roger Feese <rfeese@gmail.com>
Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libsdl1.2-dev, libjack-dev, zlib1g-dev, zziplib
Standards-Version: 3.8.3

Package: milkytracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests:
Description: Music creation tool inspired by Fast Tracker 2
 This is an editor for "tracked" music, i.e. audio samples of instruments
 pitch shifted according to the note data.
 .
 It can load the following module formats: 669, AMS, AMF, DBM, CBA, DIGI,
 DSM, FAR, GMC, GDM, IMF, IT, MOD, MDL, MTM, MXM, OKT, PLM, PSM, PTM, S3M,
 STM, ULT, UNI, and X.
 .
 Export is possible into the formats: XM, MOD, and WAV.
 .
 Supported sample and instrument formats: WAV, IFF/XI, PAT
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwEAYAAAAHkiXEAAAABmJLR0T/////
 //8JWPfcAAAACXBIWXMAAABgAAAAYADwa0LPAAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAiUklEQVR42u2bdXhUV7v2f3uPxScTI4EIkABBgweCBQkQpECB4g4F
 iksptMVKSwstXrQ4tEjx4hokSIBggRAgIUqMuE3G1vdH0rd97RTeUznnu879
 z7om2bPkvte6nzXrWVvBn4R2ryfJmyuAe9OAzZ2GhExrUK9B1ya93nXLS4wP
 vnsldk1Rtv6swVJ0tfzx3D+rX3815D+rIZvriXNOxwJzn1T8MdX71ZCFnac2
 dP2q29KQFRM31j+q6ffRoIrDd41ebtPYo7f/FmfL0oGGkUL81fT8f4SiQ0II
 AfVzO7YarFqU+FHk8gF7vhJi55Mj/S4nCHGp5NrryN3GClub7DYf3hfh2r/u
 KJepT8cMsnZ2u1v7fZcHzc4EDmrb/K8exe+PP3wFWI3xuRp4AmzfddxS84Xv
 yY5zurd97+CAnh/4Dg3v+yPY57kmei+B8D7PA7PtlGmqOg4bXNs3yRiXO1o9
 sta6j9a2WGP+Wnmyi49voH2brmPG6Vb7WgXscFWWV+/5VxP4PxhOB6pPBiHK
 Zn6D2PfcP1Ev4LLVw7D0AUIYfzB8KIQQhmOGRkIIkb4vJ9HkL8RPNW6Ex58Q
 4qv13xdcHSHErkMng26lCBE28Vb442yTduvmA/rzAREDB937tPZWxZhZupYt
 Xcb2cqkeRlk7/4dyOI5vbOx9DMBPHdLF9+6c/O82XejzIjTvVJFWHBRCP0kf
 KIQQJXklhUIIoQ/XjxVCCMNWg5sQQmQszh1pKhXi+PFbaxMvC7FyzYE7994X
 Yl/lCw+fLhXiclLknJfZxgrbnx1X3PaKcB3e/oujx7uPGeQghWasfenyoN3R
 aVUPfPdXs/CXoLLdOzd+mflBWRPqftd6gf21sCeBr2cIYfQ3OAshhN5GjxBC
 lBSXFAshRElJSUl5WSyEEPq7+ulCCGFYX2oSQojXEXkDzReFOFc/ckhGvBBr
 bI5YP/5UiAPzr7RLaCvE1ciHbdMeGx/u2nxm99OEiEoj0745dPmTMeO8PhoV
 d1X3a8tqN/ak81/N0R8It4+7P1s6COSgNk4Ls/02zwv7Xh1Z/HxU3gdFM8RN
 IbJq5juYVgqhn6lPEvWFKN1SaieEECWpJZn/IERZWVBSJIQQ+p/044QQwjCt
 9K4QQmR1zVthvi7EpcyHg3IlITYqTmpfBgtx8Gp4nxSzEOF1olvnVjVpfwgN
 n5HpGjHw/fe2jHlmHjPL+8T7y29tdKkuhBAxNwAUmlvav5q13wH2qk7Rq2/+
 MvM77f1k+IWz8/Mjzj6vXjhUiGfFSX3zZCEGzPxw5ZrNQnyxfIcxzEWIuMWp
 DYp7CmGoXzpfCCFK75Q2EEKIEnNJ6X8pyHJ9LyGEMHQt3SaEENn2eZcsTYS4
 OiL6YeEOIbYPvrYzK1yIo59FOuRWFeL6x89uFcnGCge8794quBxx4aOAIzFZ
 IaFLfu6vu/uECdev//m8/W67INd+tQOadwDd3vdV1477nmwf2FRX49yQ4Frv
 e86w3QEHbp2Mv3gRoi/EV8mcAnujzk243Rn2PjzzInws5A4o6WtxhPjgjA+K
 rgMf8RBAPixXBZAGSU0AEAgAMV78AGD+0dIPwOYrzSYpAgKTqu60HQo9BgVo
 dAXg0t9+kHo9JH6Zf1TcV6Y5drF9pJ7dpJ3bR1bNjc3mJkhSh10nXtl1FwlE
 E/2/UIDq+i/nvgqG2F3LShsXQPCjes28hgzp0u5E3Uuu9X3vSl9jBJBCrU/r
 moNvQUB+i52gbK2fk/seeM6u4FghBuaH7lJf2wQ/Zd8KjT0PzJI+BUj6+rVv
 0VUovWk8LqxA4SxPBZBWSSMBKMUEIEaKrQDmI5aFANa3VeulTtCkifcD644Q
 muXfzHYEOKZbzZemw+PCjDxzyyoq9/QAD6979f09ltbrX2cXQJ1pq13+Fwlg
 7VwSn6MFn9WzgqKa+N7tUL/2Uqexg0NrWFfooHYDxRPpIMDE2D4H25TCvHmD
 Pg26AxObDvuy7ypo0Sjgi2r94YXXg4JrMtRrWbFQo4XUtVkbCjrDnP5ff7dp
 C6R+lv0wvxakjMuaWhQJxZbSbuYPQNojvQ/Az1tQRdmYxIfiFIA52XIWwPpz
 1VHugFyNAHESniSk7C1a4b7SvbpWZ31g002j8uW+uBMBH9S51P3z4D9x9/Tf
 EKBB2/nV4H7hwp21jkBDrfazwmlDglscqeyozvE9qZmsvEkHENPFTwCqifIy
 7MHfXNFotxiGqDt5B5wHm6kad0UKjJ7Tv+87U6BZSj3X6hXhzOWrjyOHgr2T
 Vbq6BShKFbsUI+Cj29+s2dwTEge/7l/gBLJedgaQj8rdADCh/7Ug0lipBYDB
 x3yVlbCvckRYxgHIbFuUb74NPos9LI6dal5p3sF3hNWGOdm2S17EXx6tW9q+
 0ST2qf8HC1BluZ+NuwEc6obUWdrDb3ObNbWSXA4Neq9aVgV3zUaw+Is4AJQo
 AMQP4j6Apb8lFsDsaJ4IoGtme1TVEHqNbt2rTgpYxalnSH3Bp7vPNp/6UDOs
 YbWgIXB82kVuqSCmY4Ip0x0O9b0UH2mE44fCu0f5QXJ+xoI8K1D2U8QByGMk
 PYCcJ40AePwoKTn/FJwpevhRxkKo+J7TMPsvwf5Lp1jbU1DjUc0uXp7v9e2z
 oW+d1l+vsI8fFHfrwUrdtlby2Ksbiv84AaS3/YJyVdP249LAOPnW+fUVoGfL
 T9ru3TI/f2GVUUO7dFxgX+usZ6SDF5jjLEuAv1nCb0JR1hfJCSWAqCvZsxVK
 uhvU5gdwpeP9iJfHIDYjPS0/HW5/HxX1LBt03e0drSdAZQ+XAzaO0PxawGj/
 F1BJ67ZX1wM8pjrtsusL87r/kP5ADz/UebjXYAWVx1fa5VoNvIK9VtmNAt+1
 rvkOT6DJYp3C+ExEvnj+eH6EtNX0YfI45y9jJ2Ura9a54nuvJNQUHZG/oebv
 J8BbrwAHF8vE1POgHlLLpvNp35PtPmxYr0r1IcHVYioucvACi4/Y91bE/9KT
 Mu/OwAAgxSIYCTZqdahiFYRWCoz3ewlj63VVNlgEw2x7WEJsQLFcc80xGu50
 ef5TZjZ8VPvLfqu8ISes4HZxBkRnJX38+iacOft4YeYhcAp23u9qC7r79t3s
 B0PxxkK7EjOkxce/iB8NafYFT81TpIZ1fWqd9581cP6EvJkDu9UbOL+MeKmh
 VTu76dozv58Aird52NYKig+m7H24DyICn9xNPDHl+1GLei3o6Nfrlds5xxwb
 DxCDyzwf+Q1XVz75ANIOKRZA8VoRBCDyRF0AsVDsARBqURlAcU1eIgWBT7bL
 HuvBoF1mk6ycAolfpCfnboSmZ2o5VbWHUKnF5IANsPbisWc3a8O99JyOTg/A
 p6lHSzcdODWvYGM7ClxHe4x3DAabZJ6bx0FG1VcVknaBQ6jtRPVK1eCgvHoH
 /Oq3uq6t6u7mMzTNJ3z7udPHQh56a70qvlv9FNGl+QXRWd//5wK88Sz1Wljn
 XJMeYHvdc26DEb53u3zZ4oPGvQeH+nWpNMK5IYimYm+5pG9Wp7Js+8h8aQnA
 5Xcfn3vlD+EXo/omfQrG4ybJ0h2koVInAFTlK6S9WA4g35U0ki8EJdbO9lTD
 l53G+XYNgim5Q9K7bIKn78QXpoTA2ZnRq4uug3tD10CPpaDz0XbSZINGaXdX
 2QjsFzLLrAav5i5VnR5Azef+o/38IWl2RmBWKiTuT7fN3qfb1nV4m5ctPlhh
 PzBs9IvpK97reynv5MzjW/5z4t9agMR5jzpc2gs9gjt/3K7BkOB2Ps3NDdW+
 J1Xj5V4AIkzEvlXDtaTXAIkb0l/kZUBM41ibxNqw/ND3g85+Ac/fi1+XuA3U
 N1UpAMoeij0Acr68E0AcFjcAzI3NCQCqgXJTFoBljnm0CIEfPw/r+1APhnSb
 Iz7jwP2m0wPbIaBJ0l6zGgz2h5WdxRTQhnHAkgY2T9UPLXdA+7FtomoZtJeb
 qgKuQcDXVXUeR6HgbP623Na6pe5HXVJ01+dk9xj3zuHO1LwSktJpSvcP/wQB
 JEmSJKnCYLNCGqlo3XdOUVqx0NcEUxvzKEscKNrLGQBSe6ksRFn4l4fDkptk
 C8A+eRrAQceTRy64wJWnd29HhUDrWY0H1sqB9MYFO8yDYI/XuZtRLnB8QHjs
 oywIr/QoOX4fyG5yDgBHylaSnCbfBHhaLW5/ojWEnXm+xDADPDu453gCNp0d
 f1LNAptG1smMA4chotiyGey3qxMoBO1T6zzJF+r0di1VdYa6n7tNUPSD2iv8
 kjxfQbcBoZdCfoRWj4K+bZYa8IFuQ8VqvqpNN89VOrPqp6/dV9FX+kS+8IcI
 IN1X/K1idWz4+awIJ3v74MnumxpeXQTLj+zOO3MOniTERaduAMtNy1YRCrJS
 3g4gNZUqlQtiARA5Qg8gzlmCAPr5dMsN8Ybu/m26Be6BVqn1blcdC8eqXzh7
 vQXcL366LHY2LH6wbuLuk/DyZdKaV6Ng3bKDk65+DY+dE8naCBwSHQCO7b35
 +PluEHWdLvg/A10rpxTrBWC10z5GPQgcVtHTsgW0mxTrxDHweOmwU/aEoG1e
 3dTroPpRl6NyAVitVfVlG6S3yPg8xwG+33LMI2wirPnh5OPoaEipZDu7gU89
 K8nbVu+udc9jodJk9R8IoPztR+x8PZoCzyztS78Fi9pG5x4LCZK6Y+3d8KM5
 6bHpM4iQD/hFTYIWQZVvxzyBLmeaD6jVAHxHV9rkegsUFnmlpAbhLeYCiAci
 E8DT3q2DfTL0r9u+ct2lYDlucWAEvKvt0C/oBJw7cffgsyFQJcTD7BwNHlPc
 drpOgIOVt1jvPg49jMGuDS5BzMWEq2nt4UpBwnp5LXg89R7okQeaQ9pPlN+D
 XT3lRMst0O2VVouZUPczjyDlKWh0otI0ZRRom2gOUhcy7mV1yxkFFwbe9ntS
 HY50jziZ0hZuB71YU3AMXntnTsodDIoelvvKxyDX135f6QswO5YYbE8B5PA2
 XvwGAtiu07kDFsuI0hxAL/dQTgJx1hJn+QbMbtYdXaqB0VnXufJVuDW3tGf+
 j/Ck27nBz3tB465uzeNyoe3m+iV+PaFqaMUVzudBkSpPl2xAzBYPAUSquMYs
 kLpiDdBmZ4P6vsOh1jLfzytpQH/O6NGmFcSI2JkJx6CKbfVzdT8D174Ox2zO
 wJ6Ay8HPtoDwtM/x7QB22xzjrKqAdSfNSTkDKrRTDjQvhQ7bKoeo+0PNRLdX
 UhHkX8pLyVXBgXXhE15MgxOhT7/IHwKRmrQ4lQ4yb2Ym2K4FQ8+SMdnhQIp5
 QGlnoIWiraI+kGyzQFsTEFI7MbtMAE78ngJk2m13egekV5YI40iQ3lF+qz4C
 9KQjQUCJeF88A0kWz0QtsHrlEO/2HOjgUMH7OkTPL+qUvhXi74bNePERVK/r
 7pd+DFpXrD3ecztUocJabRHIe+SGXAWhEvEA5seWNABn7JdblYLcUooHcAmz
 v1PDEyr2d/d2D4JnxuSd2fXhun9CqmIPON/zuOJ8EtQf2+mU/aDaE4dwUQVC
 Bldqr24NLgdVc4v6wJlat3alzIDrYc/rZMXCy6H69S674aWVcWUFJ8ibYDz6
 ugqY15mr5XYD+uJGClAXf8kJqKu4pRwF0ue2R3S3QGogz5Sz4G2zor8pgNrR
 yar6fpB74W5uAVKc2s52CzAcHYuBGBTMBNqxTooC1oj3RRSIQHqwEazDdbgN
 AvfZjnWdZkHOj6W9ctPgwMWIyokPocolp1CrrRAYUWNLxUjwnOpitt0M8mrZ
 kXVgmWEpBDDfKMv4auap+snJUHu6j0V3DlY5nBgVdw1MvWy/cZ8FDlnOkzQZ
 0HSR+ytpGDSP0X1h2A4Jj+KnJK6Gg4NTjhfaQaq3Mtq9A5TqtfU9t4LJ2hJl
 VILlULGyYBnQkpViLtCTUOoB17lNCpDJZTEX5JnKGdapoN7laK66C8wB1oML
 TkEpcP4ttqe/GYTVOtv5lcygGmJXx/NbkFcqvrZ6F8glVhwF3LjNj2A8oT9a
 UABiq1ghNCDJ8seSMzBLtBFZgJpIcR20o7U4loDnqCq9qw2HoiL1MKe9cMLv
 wa50DfxUP2JeYgAk18q6WNoUpMVSHw6BvFwq+4W8REoHiIvLGFTaEW53Tw/U
 dAKvGK/Njo2hWWCFfAG4NizakboALugejHq1BR6tzD9m/xj0nV2b+TcBY6l9
 P1cHMGdwSsoA4hlluQysl7pLmcA4yU3OBmkg9ZkFmBCYgRxi2AVSoOKyZjYo
 99mu9ngIqgRbXUXTW07/NxFApbPfX9EEqqH2471Wg7xSmWb9LpDPc44Ak1kr
 nYXnsyICDnnDgw2nt25dB3lnXrVLTANxlUCxAyQPeb88FkSQqEZVYAC18QRd
 vHaCXTz4za36rKIAqwN2Z+x7w63l8TuK9HDxavSYvLOQej+vsVEDIk9MATgv
 P1uj9wRzJ+Vpqy1Qc6193ZJdIAUWHSvoClmnzbetUsDK2+V0peGgbmxzzkEC
 MYAkqRdwhdrkgOQqjZETQdoiKeVPwFg161n8JijadS9yz1CweJdococCVdgo
 VQSyiRI7QWqqsFbPBtU+2x88HoAq3q5hRePbC/CbFqTa43Gh+ucgm+TZirMg
 XbQaYHsZ6G16bgkGKUjy4Q7oWxdOzjZActXbodcVkPr+i43RdpCWGujefj20
 3N+kc+B4qNrIc42rB8gt5L6SDYgaYpYYBlQmAiM4f+9Y0+YSVL1tY1a1hOLr
 pTGmDyAqNM2r1AMiT6TWNzvCo2OZW4QfNF3pbVQUgLejk1FZAPI7ssm6MRR8
 aOjIPjCK0kk8BLFJ9BAdQXokz5J+BCmH52IT5O/ObJ2wDZ43PP/hPkeIu3/d
 tKcWWDJooJgGdoPaVKiTAkxCRRUgVexnHsiD1FHWTqAaViHGdwFYuhofFO8H
 dvzOAjhscy2sUAsUJmV95ZdgOWLaZvYDY5GxRtFTYATbyAYaSGFSZZBOyQfk
 EigOzd2bvQOejIzsFRECcdEvar/cBY2/rj+84SpoNTjQsXYy+LpVtHGsALJJ
 8pe+AaEWVuwCfMUYdOBmdqisrgNV2jpfVNeBaF26vfEz6CDXyFKHgUdtXSel
 L2TFFx0QBaDvaBgl9oJoJUZKziB5yJOlL0CuK1WROkHu7vSC5Jlw/2FYlxNB
 8KLrhTX7ncF0vKRp8UvQNqu3qftckGZ59WypA1OG+ZH0IVhi9QuKVgBRDOEl
 KDqofNU5YP+lc4jrILCMMz3Sd4cMCPtdBXBq4OLqdBmUWlV1lQZyu2U1yPkY
 hF/RWW4DXwF+lEUfAAkrrIFKUqQkQ+OoVo9a1wTlYanU6jBc0966GjUUor56
 aZ0eCE2PNtxZKwZCqjaaXTkWaird11ntBclb+ooPQYynKwDp3ABwM9rPkwtB
 xEp6xSUwZZt3CRsQFt4R+4E1LJOGgbRd2skZeN0zIyq1MYRHhR0/9xwissON
 p+5C7pSEE08VoBmq/F6dCI3aD/1mRXMo6qZbUU2GTPuMh5m3wZj1OiHJAkzH
 jAG4zDlxDZSfqwqUk8FxiPNOxz7A56YJpZchFtbw8s0F+O0gHKJ4KDUHzS6l
 rdQV5By5HsOBbAoxAU8o23vl/E0AI0ZgMh1Ea7Avsh/uoIS6I2o/rT0LNFaa
 JeqOULGvWx3HWHjyftKdvD6w4tHxii/GQXTIq6dF50EOlnqyGYAYAHGG5wAK
 N+kn6X1QdZYHScuBaDKQQBpCf6kPGEuNXYwH4XSDU+qT/WFj3vIVX4bBnVPh
 5869C4Vjc6IzM4B0ekkTQNFfPcO6D1ifcrR3TwfM7BYhwGmRb6kDKFDwq8yY
 yKQAE8gLpUy6gvqaYpFUGdTWykNS3beZ+28oQNrwNLIs8Crr1frX8VA6Tr/R
 6AdSZzrTHGhW/qB7eWkpP3SwEUUUA7VFV+qDWGu5Ig6BuCe8GQ+NGtXc670Y
 Bh3ukFQnHQrqlNw0V4S4+68T9NVALBUDeAZ05TwAz8tSjXK+dI12IH8pWXgP
 iCEPIxAt3ZHCoCCqcF5RM4hyeNLlyWJo2KbZpVZ50K/FqK0zg8H2AwetLgBA
 NBc64AEnWA1MF65iO6Anm8TyqSSVTy7LL3xIfekttQODh6GNaTqkD8zIzvkC
 0rqkp2T/9AcIkL/6deN0GfJuZBjS9oDxhWGdPh2oKbWWQoB8yvJqv1iQBg2g
 llrQFsQGaRgycETqDEAWWRSDuM0PnAXbR5qvlAdB6aI4LveFkyseuRasgUOm
 B9MKCsFsEWouAZay3IVijVRf0oJql/S1NBQ4QxqZQE3RRASD/Qy7K7YlMLLF
 yJTRp6GLrufX760A58qu6z2uAVlklGUgMJalfv4Ffp3JED9fhClHPTrTE8w3
 jUrDXCjckxWf+QwKnF4b0t/qPPgNBTCcf1UcPQAMQ1MmPS4Ei05fWvgR4Ex3
 ZvPvLUjPUx6CtEgswQKMEd8jADMaAGlK+bAmsJrzIK1jIA6Qs6totNkKbs6N
 P1DiBIZepibCFqiHF4Bio9wfV1AMky9KnsAdXmEBsZPvxQFQHVONVbmA02ld
 O8eNIFYyXPQH4SWOioXAMaTfHLUoH4lEWWLp12krN2kg34BlgeFKcTswtEqz
 f7YVDPrU7Jg/QoBSn5wVLx5A6ansDTFHwJJgzC56CjjTQJrIv7cgWWSRBaSU
 /ycTZyRAWb6gJ5YP1K78e0UYECDJ0m7qgHyJY1JXwFqsRwKiys645LnyCAQo
 WygqIEBEch8AFWpUwCGOipMgTOKasANSSCET2FtOaOgbc1M28//BgnCnuTQP
 xACTVt8HDAfyEl6eAcOI3Nqx/0Gu+DcFMNYteCfZFQwpBcuTpoJYZHIrGQ1o
 qU4foAANtkC88BHHQEwWl0UokC9VpiqIjdIIlPxiQaLsopaoWjZAkfZPTZZd
 K0GaXl6uBSCGZABFS8kTA8ip8lT0QFRZEP4Vfv7k9Hdj/Pn+p+YNWPmvLEhH
 HYaD5am5qLQHmFYW9nnVG4yDCm+88vkDBDDVzar3vAkYkzOVT41gWWRIKuwP
 aGnBFCCeSlIbcJvhu6JJI3DUug+rEgYoqIQEpFr2iFJgojiMDb9Y0PQyK5Ds
 /m2fEsvLGACuixQAxTj5uDQBVBPkQL4Gzos4UVJO1d8jAAArVAB0Kf/rkX+i
 2VgevyyY/0GGf2VBjoRIi0A8NQaX5IFxVXZ4XGswDszKfP4fpCjfICFTmJX9
 CqCgaXYygKmT8SxgkfxoBGK2kC3bwXOb/82WJdAqfdjjeYMhIL3b0SENwfZT
 rb+uN4j74rJlDYgbIlaogd6kiizA4Z/S9+WbPnGgvFwNQCRxAIqXcj9iQHlW
 YS11Aq7zgKy/I/RnIS4BoC+nd0+594dSWPYKoFhicQKGixeW6UAtujMeMP9N
 kH9tQUi1aAlgrmR6BVD0KrcjQOHw3CV/jADD0xsBcQXdXvkCGtO80kjAinz5
 HnCABIqArWKAcAJrszbPGahZEHyoyxTwCK7m7j8UrG9Z7dEsArc1LuOdYoEW
 kpd0B8RxokgEksikGJB+3k/9gwUZKQKgG34AjKQeGsD4T8nPf7QgDWpAxRax
 GBgpQkQFsP3c45vKoVB9QdvpA3Wg+cJ+iK4eiM9EgPj1DykLZszAY3FWbANS
 GShFAtaWUYbNQFZRafo8wFJ0Lf2t7piU4Q0SMqZvSu4BXfiGe8VXDB1S1t/r
 cf+pQ6zTE5+BFfoqBzg7Olirf2SG5C1fB3qJ8yINxJfCh29B2sl8uSvo2jk0
 tr8CQy70HR5SADYaqx5SMxAK8aGYDDQgCDNYKolFrAWWE4MFsC23oAYMAzDX
 tRylO5jqmoPFxwA40xig/LTyF5RZ0BXRh+Wg6KzUqetB4wFdmw42g4NP9V7N
 JLDZa/Wp63eQ3yp7pz4aeMFs41kQ+3CnK3CNmVI0KGqoMjV6UIWr+2mqmKaY
 /NJtnzd4GGjukXcu2SGvEhvJEKlvPq3fYgWUQVdSfU/zwixVzuyIjTsyBicX
 Hrh6fmWNYX7GBtEvfpoTNsq4NP/bxFzDLLGYE5Z1IF2W35PiQByhIsXAflKI
 Ad1pbaTdRdBlOTS3XQGui7TLNdOhR3HgGI9b4O3hfFXzATBCpIpCECfEeIqA
 FpI/gPmCpZqYDKZwywbaA22lauVx5F9akOgmvC3FYCvslY6x0FC0T+oVClof
 d61XEIg5ooPIBxYzU3wKaNgkBYM6V3VBoQLtTXUly3qzo6a3oX6q9e1Bls+S
 jodv/8CqdNnz7Wfyei30qDLm4ImaL3vzueWp+T+46PkGK6AMOdbPBtz4W8DM
 D604umv7mfv28jhgfeqQyqcW561MGf/gnVB/L23D1sGHx070Dqjr0ty/+SL5
 i4qJnjkaHYnKMPk4iJ6inlgFlqeiQMSBdSXVAtkDOg4J2OwaAu1m+ieYekNW
 nt6LbaCQ5GTpa8BCMdFgPmqpggZMtpbVWAPHaUQBcIOn5Z37ewsylZ3hSN2k
 HvQGMcaSwGcgblm0BAJLpGnScFAmyPek+mDdmLU5r0yPDAnZAyKj7oUW2j7L
 imj93YDcSU8yLw49sln/JNPhWXJm2dZaTXKq3UabTm/P+9sL8I94sHnJspAB
 P3/K+zh12u3BZ+btJdl0vc8xp1Oq7BEdnQZPCPXWV22wLujm2DvK5/6J9Ts3

## milkytracker 0.90.85%2bmaemo5-2

=== debian/changelog ===
milkytracker (0.90.85+maemo5-2) unstable; urgency=low

  * Added bug tracker link in debian/control.
  * Fixed version number. 

 -- Roger Feese <rfeese@gmail.com>  Fri, 15 Apr 2011 10:25:47 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, libsdl1.2-dev, libjack-dev, zlib1g-dev, zziplib
 Standards-Version: 3.8.3
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2125
 
 Package: milkytracker
 Architecture: any
@@ -200,4 +201,3 @@
  nt6LbaCQ5GTpa8BCMdFgPmqpggZMtpbVWAPHaUQBcIOn5Z37ewsylZ3hSN2k
  HvQGMcaSwGcgblm0BAJLpGnScFAmyPek+mDdmLU5r0yPDAnZAyKj7oUW2j7L
  imj93YDcSU8yLw49sln/JNPhWXJm2dZaTXKq3UabTm/P+9sL8I94sHnJspAB
- P3/K+zh12u3BZ+btJdl0vc8xp1Oq7BEdnQZPCPXWV22wLujm2DvK5/6J9Ts3

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
#	$(MAKE) -C debian/milkyplay
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
#	$(MAKE) -C debian/milkyplay clean
	rm -f config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
#	dh_prep
	dh_installdirs
#	$(MAKE) -C debian/milkyplay DESTDIR=$(CURDIR)/debian/milkytracker install
	$(MAKE) DESTDIR=$(CURDIR)/debian/milkytracker install
	dh_install resources/pictures/carton.png usr/share/pixmaps
	mv $(CURDIR)/debian/milkytracker/usr/share/pixmaps/carton.png $(CURDIR)/debian/milkytracker/usr/share/pixmaps/milkytracker.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/ChangeLog.html
	dh_installdocs
	dh_installmenu
	dh_install debian/*.desktop usr/share/applications/hildon/
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## milkytracker 0.90.85+dfsg

=== src/tools/Makefile ===
CPP = g++
CPPFLAGS = -g
FILES_1 = "fontcompiler.cpp" \
"../ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../ppui/osinterface/PPPathFactory.cpp" \
"../milkyplay/XMFile.cpp" 

FILES_2 = "gentinyfont.cpp" \
"../ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../ppui/osinterface/PPPathFactory.cpp" \
"../milkyplay/XMFile.cpp" 

FILES_3 = "genlargefont.cpp" \
"../ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../ppui/osinterface/PPPathFactory.cpp" \
"../milkyplay/XMFile.cpp" 

FILES_4 = "convertrawfont.cpp" \
"../ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../ppui/osinterface/PPPathFactory.cpp" \
"../milkyplay/XMFile.cpp" 

FILES_5 = "archivewriter.cpp" \
"../ppui/osinterface/posix/PPSystem_POSIX.cpp" \
"../ppui/osinterface/posix/PPPath_POSIX.cpp" \
"../ppui/osinterface/PPPathFactory.cpp" \
"../milkyplay/XMFile.cpp" 

INCLUDE = -I. \
-I../ppui \
-I../ppui/osinterface \
-I../ppui/osinterface/posix \
-I../milkyplay

main:
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES_1) -o fontcompiler
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES_2) -o gentinyfont
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES_3) -o genlargefont
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES_4) -o convertrawfont
	$(CPP) $(CPPFLAGS) $(INCLUDE) $(FILES_5) -o archivewriter

=== debian/changelog ===
milkytracker (0.90.85+dfsg-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add missing include to
    debian/milkyplay/milkyplay.cpp. (Closes: #667277)
  * Fix "FTBFS: ./zzip_file.h:34:18: fatal error: zlib.h: No such file
    or directory": add build dependency on zlib1g-dev.
    (Closes: #669432)
  * Add build dependency on libasound2-dev [linux-any] (dropped by
    libsdl1.2-dev).

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 May 2012 17:57:06 +0200

milkytracker (0.90.85+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS": add patch ftbfs-gzip.patch from Arch Linux, found by Paul
    Wise. (Closes: #661906)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2012 14:18:55 +0100

milkytracker (0.90.85+dfsg-2) unstable; urgency=low

  * Apply 64bit_freebsd_fix.patch from homepage. (Closes: #626627)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 23 May 2011 12:03:06 +0200

milkytracker (0.90.85+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Repackaged without platforms.
  * debian/copyright: Updated copyright details and homepage address.
  * debian/control: Updated homepage address.
  * Added libzzip-dev to debian/control build depends.
  * Bump standards version to 3.9.2.
  * Bump debhelper version to 8.
  * Added debian/source/format.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 04 May 2011 11:28:45 +0100

=== debian/control ===
Source: milkytracker
Section: sound
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, libsdl1.2-dev, libjack-dev, libzzip-dev, zlib1g-dev, libasound2-dev [linux-any]
Homepage: http://www.milkytracker.org/
Standards-Version: 3.9.2

Package: milkytracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: freepats, opencubicplayer, xmp, schism, goattracker
Description: music creation tool inspired by Fast Tracker 2
 This is an editor for "tracked" music, i.e. audio samples of instruments
 pitch shifted according to the note data.
 .
 It can load the following module formats: 669, AMS, AMF, DBM, CBA, DIGI,
 DSM, FAR, GMC, GDM, IMF, IT, MOD, MDL, MTM, MXM, OKT, PLM, PSM, PTM, S3M,
 STM, ULT, UNI, and X.
 .
 Export is possible into the formats: XM, MOD, and WAV.
 .
 Supported sample and instrument formats: WAV, IFF/XI, PAT

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 build-stamp:  config.status
 	dh_testdir
 	$(MAKE)
-#	$(MAKE) -C debian/milkyplay
+	$(MAKE) -C debian/milkyplay
 	touch $@
 
 clean:
@@ -30,19 +30,19 @@
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-#	$(MAKE) -C debian/milkyplay clean
+	$(MAKE) -C debian/milkyplay clean
 	rm -f config.sub config.guess
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-#	dh_prep
+	dh_prep
 	dh_installdirs
-#	$(MAKE) -C debian/milkyplay DESTDIR=$(CURDIR)/debian/milkytracker install
+	$(MAKE) -C debian/milkyplay DESTDIR=$(CURDIR)/debian/milkytracker install
 	$(MAKE) DESTDIR=$(CURDIR)/debian/milkytracker install
-	dh_install resources/pictures/carton.png usr/share/pixmaps
-	mv $(CURDIR)/debian/milkytracker/usr/share/pixmaps/carton.png $(CURDIR)/debian/milkytracker/usr/share/pixmaps/milkytracker.png
+	dh_install resources/pictures/carton.png usr/share/icons/
+	mv $(CURDIR)/debian/milkytracker/usr/share/icons/carton.png $(CURDIR)/debian/milkytracker/usr/share/icons/milkytracker.png
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -55,7 +55,7 @@
 	dh_installchangelogs docs/ChangeLog.html
 	dh_installdocs
 	dh_installmenu
-	dh_install debian/*.desktop usr/share/applications/hildon/
+	dh_install debian/*.desktop usr/share/applications/
 	dh_installman
 	dh_link
 	dh_strip
@@ -64,7 +64,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify 
 	dh_md5sums
 	dh_builddeb

## milkytracker 0.90.86+dfsg

=== debian/changelog ===
milkytracker (0.90.86+dfsg-2) unstable; urgency=medium

  * debian/patches/02_debundle-rtmidi.patch:
    - Update patch to detect rtmidi with pkg-config. (Closes: #828957)

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Jun 2016 17:39:37 +0100

milkytracker (0.90.86+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #777424)
    - Fixes bugs reported by Jindřich Makovička. (Closes: #628235)
  * Remove milkyplay. (Closes: #716566, #818742, LP: #1019517)
    - The code is Debian specific, unmaintained, and broken since 2012.

  * debian/control:
    - Set the Multimedia Team as the maintainer, and Gürkan as an uploader.
    - Add myself to the list of uploaders.
    - Bump standards to 3.9.8.
    - Add Vcs-* fields.
  * debian/copyright:
    - Rewrite in machine readable format.
  * debian/doc-base:
    - Register MilkyTracker manual with doc-base.
  * debian/install:
    - Use dh-exec to rename milkytracker icon.
    - Install icon into correct directory.
  * debian/menu:
    - Remove per TC decision. (See: #741573)
  * debian/patches:
    - Drop all original patches - applied upstream.
    - 01_add-alsalibs: Link against alsa to fix linker errors.
    - 02_debundle-rtmidi: Build against system rtmidi.
    - 03_debundle-zziplib: Build against system zziplib. The code which FTBFS
      using gcc-6 is no longer used after this patch. (Closes: #811897)
    - 04_use-lhasa: The shipped copy of lha is under a non-free license, so
      port the lha decompession code to use the free lhasa library.
  * debian/rules:
    - Switch to debhelper 9 and use dh.
    - Enable all hardening options.
    - Enable parallel build.
  * debian/watch:
    - Add a watch file.

 -- James Cowgill <jcowgill@debian.org>  Sat, 07 May 2016 13:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,25 @@
 Source: milkytracker
 Section: sound
 Priority: optional
-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, libsdl1.2-dev, libjack-dev, libzzip-dev, zlib1g-dev, libasound2-dev [linux-any]
+Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Gürkan Sengün <gurkan@phys.ethz.ch>,
+ James Cowgill <jcowgill@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-autoreconf,
+ dh-exec,
+ libasound2-dev [linux-any],
+ liblhasa-dev,
+ libsdl1.2-dev,
+ libjack-dev,
+ librtmidi-dev,
+ libzzip-dev,
+ zlib1g-dev
 Homepage: http://www.milkytracker.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/milkytracker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/milkytracker.git
 
 Package: milkytracker
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel

override_dh_installchangelogs:
	dh_installchangelogs docs/ChangeLog.html

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
  http://www.milkytracker.org/files/milkytracker-(\d[0-9.]*)@ARCHIVE_EXT@
